
@import url(../_presets.css);

body{
    font-family: Arial, sans-serif;
    padding:40px;
    background: var(--background);
    color: var(--white);
    /* overflow: hidden; */
    box-sizing: border-box;
}


.glass {
  /* width: 300px; */
  /* padding: 30px; */
  /* border-radius: 20px; */
  background: rgba(63, 63, 63, 0.15);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  /* border: 1px solid rgba(0, 0, 0, 0.3); */
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
  /* color: white; */
  /* text-align: center; */
}

h2 {
    font-size: 4vh;
}

/* .line-list {
  list-style: none;
  padding: 0;
  border-left: 3px solid var(--prymary);
}

.line-list li {
  padding: 10px 20px;
  margin: 10px 0;
  background: #292929;
  border-radius: 5px;
} */




/* Animation für Elemente */
/* @keyframes slideIn {
  to {
    transform: translateX(0);
    opacity: 1;
  }
} */


header {
    z-index: 5;
    position: fixed;
    top: 0vh;
    left: 0vw;
    display: flex;
    width: 100vw;
    height: 8vh;
    align-items: center;
    justify-content: start;
    border-bottom: 2px solid var(--foreground);
    box-shadow: 0 2px 20px var(--primary);
    /* border-radius: 4vh; */
    background-color: var(--background);
    /* background-color: blueviolet; */
}

header .logo {
    position: relative;
    width: 2vw;
    height: 2vw;
    left: 1vw;
    background-image: url(../img/erde_icon.png);
    background-size: cover;
    transition: transform 0.3s;
    margin-right: 1vw;
}

header .logo:hover {
    transform: rotateY(180deg);
}

header h1 {
    position: relative;
    font-size: 4vh;
    left: 1vw;
}

header .nav-bar {
    /* background: var(--background); */
    display: flex;
    width: 15vw;
    position: absolute;
    right: 5vw;
    justify-content: space-around;
    /* border: var(--primary) solid 2px; */
    border-radius: 2vw;
    text-align: center;
    /* box-shadow: 0px 0px 20px inset var(--primary); */
}

header a{
    display: block;
    text-decoration: none;
    color: var(--white);
}

.nav-bar p {
     font-size: 2vh; 
    display: flex;
    position: relative;
    cursor: pointer;
    justify-content: center;
    width: 5vw;
    color: var(--white);
    transition: transform 0.3s;
}



.nav-bar p:hover a {
    color: var(--prymary);
}

.nav-bar p::after {
    content: "";
    position: absolute;
    top: 2.5vh;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: var(--prymary);
    transform: scaleX(0);
    transition: transform 0.3s;
}

.nav-bar p:hover::after {
    transform: scaleX(0.7);
}



/* Liste */
ul{
    list-style:none;
    padding:0;
    width: 25vw;
}

/* Listenelemente */
li{
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    /* align-items: end; */
    /* text-align: center;     */
    width: 25vw;
    height: 5vh;
    background:var(--button);
    margin:10px 0;
    padding:15px 20px;
    border-radius:8px;
    box-shadow:0 4px 10px rgba(0,0,0,0.1);

    opacity:0;
    transform:translateX(-40px);

    animation: slideIn 0.6s ease forwards;
}

/* a {
    width: 20vw;

} */

li a {
    /* display: block; */
    /* padding: 0px 3vh; */
    margin: 0px;
    /* width:15vw;
    height: 5vh; */

    text-decoration: none;
    color: var(--white);
    font-size: 1.5vh;
    transition: 0.2s;
}

a:hover {
    color: var(--prymary);
}

/* Verzögerung für jedes Element */
li:nth-child(1){ animation-delay:0.1s; }
li:nth-child(2){ animation-delay:0.3s; }
li:nth-child(3){ animation-delay:0.5s; }
li:nth-child(4){ animation-delay:0.7s; }
li:nth-child(5){ animation-delay:0.9s; }
li:nth-child(6){ animation-delay:1.1s; }


/* Animation */
@keyframes slideIn{
    to{
        opacity:1;
        transform:translateX(0);
    }
}

#source {
    height: 80vh;
    width: 90vw;
    position: absolute;
    top: 25vh;
    left: 3vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#img {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#img-text  {
    position: absolute;
    top: 15vh;
    left: 34.5vw;
}

#info  {
    position: absolute;
    top: 15vh;
    left: 3vw;
}